<?php

namespace Daylight\Core\Modules\PageBuilder\Contracts;

use Illuminate\Support\Collection;

interface HasPageBuilder
{
    public function getPageBuilderRules(string $fieldName = 'components', bool $required = true): array;

    public function prepareForValidation(): void;

    public function getComponentsFromRequest(string $fieldName = 'components'): Collection;
}
